MetacatUI - Bug #6971
URL-escaping urn:uuid pids
03/01/2016 02:18 PM - Lauren Walker

Status: Resolved Start date: 03/01/2016
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.11.1 Spent time: 0.00 hour
Bugzilla-ld:

Description

Example:

https://dev.nceas.ucsb.edu/knb/d1/mn/v2/query/solr/?fl=prov_generated,prov_generatedByDataONEDN,prov_generatedByExecution
Jorov_generatedByFoafName,prov_generatedByOrcid.prov_generatedByProgram,prov_generatedByUser,.prov_hasDerivations,prov
_hasSources,prov_used.prov_usedByDataONEDN,prov_usedByExecution,prov_usedByFoafName,prov_usedByOrcid,prov_usedBy
Program,prov_usedByUser,prov_wasDerivedFrom,prov_wasExecutedByExecution,prov_wasExecutedByUser,prov_wasGeneratedB
y.prov_waslInformedBy,id,resourceMap&qg=++resourceMap:(resourceMap_urn%253Auuid%253Ac6325821-7b29-46¢1-a90b-feabcd1
72819%200R%20resourceMap_urn%253Auuid%253A07f201ad-2d0b-4859-9ff2-682243cc7797%200R%20%22resourceMap_urn%
3Auuid%3A9595e95b-c7be-4ed7-944e-2dd0cbcee81b%22%200R%20%22resourceMap_urn%3Auuid%3A657c3648-8753-440b-a5
92-dd41920506a8%22%200R%20resourceMap_ta0.13439.1%200R%20resourceMap_50b56de7-ac0e-4864-aec3-6d82dc275b1e
%200R%20resourceMap_04d6e4eb-31fc-4c1a-acc6-40137ae87fae%200R%20resourceMap_04f8041b-{78d-4278-b80a-82bf32237
3cf%200R%20resourceMap_e90dcef5-2779-486f-bba8-208¢c27091605%200R%20resourceMap_14dd4745-4df9-4i131-97e5-aa0527
ce0474%200R%20resourceMap_974d375b-cdbb-4fad-9¢75-ee47e56121d8%200R%20%22resourceMap_urn%3Auuid%3Ae33fe7
a8-9a22-453d-9027-fc49538deeb0%22%200R%20%22resourceMap_urn%3Auuid%3Ac135e30¢c-300c-46af-a474-ca8194abe7f0%2
2%200R%20resourceMap_dfa860e6-2187-48d7-a972-d64f67536129%200R%20resourceMap_6575432f-c3f7-42¢1-a928-8400cf9c
0693%200R%20resourceMap_475ffdf4-2674-4124-8909-9¢53c371de46)

That query sent by metacatul on dev.nceas looking for prov traces has inconsistent URL-escaping.. some pids are in quotes, some
are not.

History

#1 - 03/23/2016 03:46 PM - Lauren Walker

- Target version changed from 240 to 1.11.0

#2 - 03/24/2016 03:30 PM - Lauren Walker

- Target version changed from 1.11.0to 1.11.1

#3 - 04/08/2016 10:18 AM - Lauren Walker

- Status changed from New to Resolved

The Search model's getQuery function was searching for the colon character in order to wrap the value in quotes, but was not searching for the
encoded colon (%3A)
https://dev.nceas.ucsb.edu/knb/d1/mn/v2/query/solr/?fl=prov_generated,prov_generatedByDataONEDN,prov_generatedByExecution,prov_generatedByFoafName,prov_generatedByOrcid,prov_generatedByProgram,prov_generatedByUser,prov_hasDerivations,prov_hasSources,prov_used,prov_usedByDataONEDN,prov_usedByExecution,prov_usedByFoafName,prov_usedByOrcid,prov_usedByProgram,prov_usedByUser,prov_wasDerivedFrom,prov_wasExecutedByExecution,prov_wasExecutedByUser,prov_wasGeneratedBy,prov_wasInformedBy,id,resourceMap&q=++resourceMap:(resourceMap_urn%253Auuid%253Ac6325821-7b29-46c1-a90b-feabcd172819%20OR%20resourceMap_urn%253Auuid%253A07f201ad-2d0b-4859-9ff2-682243cc7797%20OR%20%22resourceMap_urn%3Auuid%3A9595e95b-c7be-4ed7-944e-2dd0cbcee81b%22%20OR%20%22resourceMap_urn%3Auuid%3A657c3648-8753-440b-a592-dd41920506a8%22%20OR%20resourceMap_tao.13439.1%20OR%20resourceMap_50b56de7-ac0e-4864-aec3-6d82dc275b1e%20OR%20resourceMap_04d6e4eb-31fc-4c1a-acc6-40137ae87fae%20OR%20resourceMap_04f8041b-f78d-4278-b80a-82bf322373cf%20OR%20resourceMap_e90dcef5-2779-486f-bba8-208c27091605%20OR%20resourceMap_14dd4745-4df9-4f31-97e5-aa0527ce0474%20OR%20resourceMap_974d375b-cdbb-4fad-9c75-ee47e56121d8%20OR%20%22resourceMap_urn%3Auuid%3Ae33fe7a8-9a22-453d-9027-fc49538deeb0%22%20OR%20%22resourceMap_urn%3Auuid%3Ac135e30c-300c-46af-a474-ca8194abe7f0%22%20OR%20resourceMap_dfa860e6-2187-48d7-a972-d64f67536129%20OR%20resourceMap_6575432f-c3f7-42c1-a928-8400cf9c0693%20OR%20resourceMap_475ffdf4-2674-4124-8909-9c53c371de46)
https://dev.nceas.ucsb.edu/knb/d1/mn/v2/query/solr/?fl=prov_generated,prov_generatedByDataONEDN,prov_generatedByExecution,prov_generatedByFoafName,prov_generatedByOrcid,prov_generatedByProgram,prov_generatedByUser,prov_hasDerivations,prov_hasSources,prov_used,prov_usedByDataONEDN,prov_usedByExecution,prov_usedByFoafName,prov_usedByOrcid,prov_usedByProgram,prov_usedByUser,prov_wasDerivedFrom,prov_wasExecutedByExecution,prov_wasExecutedByUser,prov_wasGeneratedBy,prov_wasInformedBy,id,resourceMap&q=++resourceMap:(resourceMap_urn%253Auuid%253Ac6325821-7b29-46c1-a90b-feabcd172819%20OR%20resourceMap_urn%253Auuid%253A07f201ad-2d0b-4859-9ff2-682243cc7797%20OR%20%22resourceMap_urn%3Auuid%3A9595e95b-c7be-4ed7-944e-2dd0cbcee81b%22%20OR%20%22resourceMap_urn%3Auuid%3A657c3648-8753-440b-a592-dd41920506a8%22%20OR%20resourceMap_tao.13439.1%20OR%20resourceMap_50b56de7-ac0e-4864-aec3-6d82dc275b1e%20OR%20resourceMap_04d6e4eb-31fc-4c1a-acc6-40137ae87fae%20OR%20resourceMap_04f8041b-f78d-4278-b80a-82bf322373cf%20OR%20resourceMap_e90dcef5-2779-486f-bba8-208c27091605%20OR%20resourceMap_14dd4745-4df9-4f31-97e5-aa0527ce0474%20OR%20resourceMap_974d375b-cdbb-4fad-9c75-ee47e56121d8%20OR%20%22resourceMap_urn%3Auuid%3Ae33fe7a8-9a22-453d-9027-fc49538deeb0%22%20OR%20%22resourceMap_urn%3Auuid%3Ac135e30c-300c-46af-a474-ca8194abe7f0%22%20OR%20resourceMap_dfa860e6-2187-48d7-a972-d64f67536129%20OR%20resourceMap_6575432f-c3f7-42c1-a928-8400cf9c0693%20OR%20resourceMap_475ffdf4-2674-4124-8909-9c53c371de46)
https://dev.nceas.ucsb.edu/knb/d1/mn/v2/query/solr/?fl=prov_generated,prov_generatedByDataONEDN,prov_generatedByExecution,prov_generatedByFoafName,prov_generatedByOrcid,prov_generatedByProgram,prov_generatedByUser,prov_hasDerivations,prov_hasSources,prov_used,prov_usedByDataONEDN,prov_usedByExecution,prov_usedByFoafName,prov_usedByOrcid,prov_usedByProgram,prov_usedByUser,prov_wasDerivedFrom,prov_wasExecutedByExecution,prov_wasExecutedByUser,prov_wasGeneratedBy,prov_wasInformedBy,id,resourceMap&q=++resourceMap:(resourceMap_urn%253Auuid%253Ac6325821-7b29-46c1-a90b-feabcd172819%20OR%20resourceMap_urn%253Auuid%253A07f201ad-2d0b-4859-9ff2-682243cc7797%20OR%20%22resourceMap_urn%3Auuid%3A9595e95b-c7be-4ed7-944e-2dd0cbcee81b%22%20OR%20%22resourceMap_urn%3Auuid%3A657c3648-8753-440b-a592-dd41920506a8%22%20OR%20resourceMap_tao.13439.1%20OR%20resourceMap_50b56de7-ac0e-4864-aec3-6d82dc275b1e%20OR%20resourceMap_04d6e4eb-31fc-4c1a-acc6-40137ae87fae%20OR%20resourceMap_04f8041b-f78d-4278-b80a-82bf322373cf%20OR%20resourceMap_e90dcef5-2779-486f-bba8-208c27091605%20OR%20resourceMap_14dd4745-4df9-4f31-97e5-aa0527ce0474%20OR%20resourceMap_974d375b-cdbb-4fad-9c75-ee47e56121d8%20OR%20%22resourceMap_urn%3Auuid%3Ae33fe7a8-9a22-453d-9027-fc49538deeb0%22%20OR%20%22resourceMap_urn%3Auuid%3Ac135e30c-300c-46af-a474-ca8194abe7f0%22%20OR%20resourceMap_dfa860e6-2187-48d7-a972-d64f67536129%20OR%20resourceMap_6575432f-c3f7-42c1-a928-8400cf9c0693%20OR%20resourceMap_475ffdf4-2674-4124-8909-9c53c371de46)
https://dev.nceas.ucsb.edu/knb/d1/mn/v2/query/solr/?fl=prov_generated,prov_generatedByDataONEDN,prov_generatedByExecution,prov_generatedByFoafName,prov_generatedByOrcid,prov_generatedByProgram,prov_generatedByUser,prov_hasDerivations,prov_hasSources,prov_used,prov_usedByDataONEDN,prov_usedByExecution,prov_usedByFoafName,prov_usedByOrcid,prov_usedByProgram,prov_usedByUser,prov_wasDerivedFrom,prov_wasExecutedByExecution,prov_wasExecutedByUser,prov_wasGeneratedBy,prov_wasInformedBy,id,resourceMap&q=++resourceMap:(resourceMap_urn%253Auuid%253Ac6325821-7b29-46c1-a90b-feabcd172819%20OR%20resourceMap_urn%253Auuid%253A07f201ad-2d0b-4859-9ff2-682243cc7797%20OR%20%22resourceMap_urn%3Auuid%3A9595e95b-c7be-4ed7-944e-2dd0cbcee81b%22%20OR%20%22resourceMap_urn%3Auuid%3A657c3648-8753-440b-a592-dd41920506a8%22%20OR%20resourceMap_tao.13439.1%20OR%20resourceMap_50b56de7-ac0e-4864-aec3-6d82dc275b1e%20OR%20resourceMap_04d6e4eb-31fc-4c1a-acc6-40137ae87fae%20OR%20resourceMap_04f8041b-f78d-4278-b80a-82bf322373cf%20OR%20resourceMap_e90dcef5-2779-486f-bba8-208c27091605%20OR%20resourceMap_14dd4745-4df9-4f31-97e5-aa0527ce0474%20OR%20resourceMap_974d375b-cdbb-4fad-9c75-ee47e56121d8%20OR%20%22resourceMap_urn%3Auuid%3Ae33fe7a8-9a22-453d-9027-fc49538deeb0%22%20OR%20%22resourceMap_urn%3Auuid%3Ac135e30c-300c-46af-a474-ca8194abe7f0%22%20OR%20resourceMap_dfa860e6-2187-48d7-a972-d64f67536129%20OR%20resourceMap_6575432f-c3f7-42c1-a928-8400cf9c0693%20OR%20resourceMap_475ffdf4-2674-4124-8909-9c53c371de46)
https://dev.nceas.ucsb.edu/knb/d1/mn/v2/query/solr/?fl=prov_generated,prov_generatedByDataONEDN,prov_generatedByExecution,prov_generatedByFoafName,prov_generatedByOrcid,prov_generatedByProgram,prov_generatedByUser,prov_hasDerivations,prov_hasSources,prov_used,prov_usedByDataONEDN,prov_usedByExecution,prov_usedByFoafName,prov_usedByOrcid,prov_usedByProgram,prov_usedByUser,prov_wasDerivedFrom,prov_wasExecutedByExecution,prov_wasExecutedByUser,prov_wasGeneratedBy,prov_wasInformedBy,id,resourceMap&q=++resourceMap:(resourceMap_urn%253Auuid%253Ac6325821-7b29-46c1-a90b-feabcd172819%20OR%20resourceMap_urn%253Auuid%253A07f201ad-2d0b-4859-9ff2-682243cc7797%20OR%20%22resourceMap_urn%3Auuid%3A9595e95b-c7be-4ed7-944e-2dd0cbcee81b%22%20OR%20%22resourceMap_urn%3Auuid%3A657c3648-8753-440b-a592-dd41920506a8%22%20OR%20resourceMap_tao.13439.1%20OR%20resourceMap_50b56de7-ac0e-4864-aec3-6d82dc275b1e%20OR%20resourceMap_04d6e4eb-31fc-4c1a-acc6-40137ae87fae%20OR%20resourceMap_04f8041b-f78d-4278-b80a-82bf322373cf%20OR%20resourceMap_e90dcef5-2779-486f-bba8-208c27091605%20OR%20resourceMap_14dd4745-4df9-4f31-97e5-aa0527ce0474%20OR%20resourceMap_974d375b-cdbb-4fad-9c75-ee47e56121d8%20OR%20%22resourceMap_urn%3Auuid%3Ae33fe7a8-9a22-453d-9027-fc49538deeb0%22%20OR%20%22resourceMap_urn%3Auuid%3Ac135e30c-300c-46af-a474-ca8194abe7f0%22%20OR%20resourceMap_dfa860e6-2187-48d7-a972-d64f67536129%20OR%20resourceMap_6575432f-c3f7-42c1-a928-8400cf9c0693%20OR%20resourceMap_475ffdf4-2674-4124-8909-9c53c371de46)
https://dev.nceas.ucsb.edu/knb/d1/mn/v2/query/solr/?fl=prov_generated,prov_generatedByDataONEDN,prov_generatedByExecution,prov_generatedByFoafName,prov_generatedByOrcid,prov_generatedByProgram,prov_generatedByUser,prov_hasDerivations,prov_hasSources,prov_used,prov_usedByDataONEDN,prov_usedByExecution,prov_usedByFoafName,prov_usedByOrcid,prov_usedByProgram,prov_usedByUser,prov_wasDerivedFrom,prov_wasExecutedByExecution,prov_wasExecutedByUser,prov_wasGeneratedBy,prov_wasInformedBy,id,resourceMap&q=++resourceMap:(resourceMap_urn%253Auuid%253Ac6325821-7b29-46c1-a90b-feabcd172819%20OR%20resourceMap_urn%253Auuid%253A07f201ad-2d0b-4859-9ff2-682243cc7797%20OR%20%22resourceMap_urn%3Auuid%3A9595e95b-c7be-4ed7-944e-2dd0cbcee81b%22%20OR%20%22resourceMap_urn%3Auuid%3A657c3648-8753-440b-a592-dd41920506a8%22%20OR%20resourceMap_tao.13439.1%20OR%20resourceMap_50b56de7-ac0e-4864-aec3-6d82dc275b1e%20OR%20resourceMap_04d6e4eb-31fc-4c1a-acc6-40137ae87fae%20OR%20resourceMap_04f8041b-f78d-4278-b80a-82bf322373cf%20OR%20resourceMap_e90dcef5-2779-486f-bba8-208c27091605%20OR%20resourceMap_14dd4745-4df9-4f31-97e5-aa0527ce0474%20OR%20resourceMap_974d375b-cdbb-4fad-9c75-ee47e56121d8%20OR%20%22resourceMap_urn%3Auuid%3Ae33fe7a8-9a22-453d-9027-fc49538deeb0%22%20OR%20%22resourceMap_urn%3Auuid%3Ac135e30c-300c-46af-a474-ca8194abe7f0%22%20OR%20resourceMap_dfa860e6-2187-48d7-a972-d64f67536129%20OR%20resourceMap_6575432f-c3f7-42c1-a928-8400cf9c0693%20OR%20resourceMap_475ffdf4-2674-4124-8909-9c53c371de46)
https://dev.nceas.ucsb.edu/knb/d1/mn/v2/query/solr/?fl=prov_generated,prov_generatedByDataONEDN,prov_generatedByExecution,prov_generatedByFoafName,prov_generatedByOrcid,prov_generatedByProgram,prov_generatedByUser,prov_hasDerivations,prov_hasSources,prov_used,prov_usedByDataONEDN,prov_usedByExecution,prov_usedByFoafName,prov_usedByOrcid,prov_usedByProgram,prov_usedByUser,prov_wasDerivedFrom,prov_wasExecutedByExecution,prov_wasExecutedByUser,prov_wasGeneratedBy,prov_wasInformedBy,id,resourceMap&q=++resourceMap:(resourceMap_urn%253Auuid%253Ac6325821-7b29-46c1-a90b-feabcd172819%20OR%20resourceMap_urn%253Auuid%253A07f201ad-2d0b-4859-9ff2-682243cc7797%20OR%20%22resourceMap_urn%3Auuid%3A9595e95b-c7be-4ed7-944e-2dd0cbcee81b%22%20OR%20%22resourceMap_urn%3Auuid%3A657c3648-8753-440b-a592-dd41920506a8%22%20OR%20resourceMap_tao.13439.1%20OR%20resourceMap_50b56de7-ac0e-4864-aec3-6d82dc275b1e%20OR%20resourceMap_04d6e4eb-31fc-4c1a-acc6-40137ae87fae%20OR%20resourceMap_04f8041b-f78d-4278-b80a-82bf322373cf%20OR%20resourceMap_e90dcef5-2779-486f-bba8-208c27091605%20OR%20resourceMap_14dd4745-4df9-4f31-97e5-aa0527ce0474%20OR%20resourceMap_974d375b-cdbb-4fad-9c75-ee47e56121d8%20OR%20%22resourceMap_urn%3Auuid%3Ae33fe7a8-9a22-453d-9027-fc49538deeb0%22%20OR%20%22resourceMap_urn%3Auuid%3Ac135e30c-300c-46af-a474-ca8194abe7f0%22%20OR%20resourceMap_dfa860e6-2187-48d7-a972-d64f67536129%20OR%20resourceMap_6575432f-c3f7-42c1-a928-8400cf9c0693%20OR%20resourceMap_475ffdf4-2674-4124-8909-9c53c371de46)
https://dev.nceas.ucsb.edu/knb/d1/mn/v2/query/solr/?fl=prov_generated,prov_generatedByDataONEDN,prov_generatedByExecution,prov_generatedByFoafName,prov_generatedByOrcid,prov_generatedByProgram,prov_generatedByUser,prov_hasDerivations,prov_hasSources,prov_used,prov_usedByDataONEDN,prov_usedByExecution,prov_usedByFoafName,prov_usedByOrcid,prov_usedByProgram,prov_usedByUser,prov_wasDerivedFrom,prov_wasExecutedByExecution,prov_wasExecutedByUser,prov_wasGeneratedBy,prov_wasInformedBy,id,resourceMap&q=++resourceMap:(resourceMap_urn%253Auuid%253Ac6325821-7b29-46c1-a90b-feabcd172819%20OR%20resourceMap_urn%253Auuid%253A07f201ad-2d0b-4859-9ff2-682243cc7797%20OR%20%22resourceMap_urn%3Auuid%3A9595e95b-c7be-4ed7-944e-2dd0cbcee81b%22%20OR%20%22resourceMap_urn%3Auuid%3A657c3648-8753-440b-a592-dd41920506a8%22%20OR%20resourceMap_tao.13439.1%20OR%20resourceMap_50b56de7-ac0e-4864-aec3-6d82dc275b1e%20OR%20resourceMap_04d6e4eb-31fc-4c1a-acc6-40137ae87fae%20OR%20resourceMap_04f8041b-f78d-4278-b80a-82bf322373cf%20OR%20resourceMap_e90dcef5-2779-486f-bba8-208c27091605%20OR%20resourceMap_14dd4745-4df9-4f31-97e5-aa0527ce0474%20OR%20resourceMap_974d375b-cdbb-4fad-9c75-ee47e56121d8%20OR%20%22resourceMap_urn%3Auuid%3Ae33fe7a8-9a22-453d-9027-fc49538deeb0%22%20OR%20%22resourceMap_urn%3Auuid%3Ac135e30c-300c-46af-a474-ca8194abe7f0%22%20OR%20resourceMap_dfa860e6-2187-48d7-a972-d64f67536129%20OR%20resourceMap_6575432f-c3f7-42c1-a928-8400cf9c0693%20OR%20resourceMap_475ffdf4-2674-4124-8909-9c53c371de46)
https://dev.nceas.ucsb.edu/knb/d1/mn/v2/query/solr/?fl=prov_generated,prov_generatedByDataONEDN,prov_generatedByExecution,prov_generatedByFoafName,prov_generatedByOrcid,prov_generatedByProgram,prov_generatedByUser,prov_hasDerivations,prov_hasSources,prov_used,prov_usedByDataONEDN,prov_usedByExecution,prov_usedByFoafName,prov_usedByOrcid,prov_usedByProgram,prov_usedByUser,prov_wasDerivedFrom,prov_wasExecutedByExecution,prov_wasExecutedByUser,prov_wasGeneratedBy,prov_wasInformedBy,id,resourceMap&q=++resourceMap:(resourceMap_urn%253Auuid%253Ac6325821-7b29-46c1-a90b-feabcd172819%20OR%20resourceMap_urn%253Auuid%253A07f201ad-2d0b-4859-9ff2-682243cc7797%20OR%20%22resourceMap_urn%3Auuid%3A9595e95b-c7be-4ed7-944e-2dd0cbcee81b%22%20OR%20%22resourceMap_urn%3Auuid%3A657c3648-8753-440b-a592-dd41920506a8%22%20OR%20resourceMap_tao.13439.1%20OR%20resourceMap_50b56de7-ac0e-4864-aec3-6d82dc275b1e%20OR%20resourceMap_04d6e4eb-31fc-4c1a-acc6-40137ae87fae%20OR%20resourceMap_04f8041b-f78d-4278-b80a-82bf322373cf%20OR%20resourceMap_e90dcef5-2779-486f-bba8-208c27091605%20OR%20resourceMap_14dd4745-4df9-4f31-97e5-aa0527ce0474%20OR%20resourceMap_974d375b-cdbb-4fad-9c75-ee47e56121d8%20OR%20%22resourceMap_urn%3Auuid%3Ae33fe7a8-9a22-453d-9027-fc49538deeb0%22%20OR%20%22resourceMap_urn%3Auuid%3Ac135e30c-300c-46af-a474-ca8194abe7f0%22%20OR%20resourceMap_dfa860e6-2187-48d7-a972-d64f67536129%20OR%20resourceMap_6575432f-c3f7-42c1-a928-8400cf9c0693%20OR%20resourceMap_475ffdf4-2674-4124-8909-9c53c371de46)
